<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smif__macros__isr" kind="group">
    <compoundname>group_smif_macros_isr</compoundname>
    <title>Interrupt Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__smif__macros__isr_1ga7b29eecccfce95bc4b3dd15118488a87" kind="define" prot="public" static="no">
        <name>CY_SMIF_ALIGNMENT_ERROR</name>
        <initializer>(SMIF_INTR_XIP_ALIGNMENT_ERROR_Msk)</initializer>
        <briefdescription>
<para>Enable XIP_ALIGNMENT_ERROR interrupt see TRM for details. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="483" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="483" />
      </memberdef>
      <memberdef id="group__group__smif__macros__isr_1ga3ebc3204d77431f2a28312f93b8017d2" kind="define" prot="public" static="no">
        <name>CY_SMIF_RX_DATA_FIFO_UNDERFLOW</name>
        <initializer>(SMIF_INTR_RX_DATA_FIFO_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>Enable RX_DATA_FIFO_UNDERFLOW interrupt see TRM for details. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="485" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="485" />
      </memberdef>
      <memberdef id="group__group__smif__macros__isr_1gabfa3ef495d2734c2c6ff5f1f9031ce3c" kind="define" prot="public" static="no">
        <name>CY_SMIF_TX_DATA_FIFO_OVERFLOW</name>
        <initializer>(SMIF_INTR_TX_DATA_FIFO_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>Enable TX_DATA_FIFO_OVERFLOW interrupt see TRM for details. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="487" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="487" />
      </memberdef>
      <memberdef id="group__group__smif__macros__isr_1gae0d30c9470a08e3df017a3f9b24b8298" kind="define" prot="public" static="no">
        <name>CY_SMIF_TX_COMMAND_FIFO_OVERFLOW</name>
        <initializer>(SMIF_INTR_TX_CMD_FIFO_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>Enable TX_CMD_FIFO_OVERFLOW interrupt see TRM for details. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="489" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="489" />
      </memberdef>
      <memberdef id="group__group__smif__macros__isr_1ga9cb7bbda5e4a8081caf7bc3c484f1f74" kind="define" prot="public" static="no">
        <name>CY_SMIF_TX_DATA_FIFO_LEVEL_TRIGGER</name>
        <initializer>(SMIF_INTR_TR_TX_REQ_Msk)</initializer>
        <briefdescription>
<para>Enable TR_TX_REQ interrupt see TRM for details. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="491" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="491" />
      </memberdef>
      <memberdef id="group__group__smif__macros__isr_1ga6f23b38616ee998d6a3be3205f28d315" kind="define" prot="public" static="no">
        <name>CY_SMIF_RX_DATA_FIFO_LEVEL_TRIGGER</name>
        <initializer>(SMIF_INTR_TR_RX_REQ_Msk)</initializer>
        <briefdescription>
<para>Enable TR_RX_REQ interrupt see TRM for details. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" bodystart="493" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smif.h" line="493" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>